<?php

namespace App\Controller\Admin;

use App\Entity\Block;
use Lc\SovBundle\Controller\AbstractAdminController as AbstractCrudController;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextEditorField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\SovBundle\Field\StatusField;

class BlockCrudController extends AbstractCrudController
{
    public static function getEntityFqcn(): string
    {
        return Block::class;
    }

    public function configureFields(string $pageName): iterable
    {
        if ($this->isGranted("ROLE_SUPER_ADMIN")) {
            $fields[] = TextField::new('devAlias');
        }

        $fields[] = TextField::new('title')->setLabel('Titre');
        $fields[] = TextEditorField::new('description')->setLabel('Description')->hideOnIndex();
        $fields[] = StatusField::new('status');

        return $fields;
    }
}
